System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

Members marked with the set to true can be set only at design time. Typically, these properties exist only at design time and do not correspond to a real property on the object at run time.

Members that either have no attribute or are marked with the set to false can be set during run time. The default is false.

A property with the set to true has its value serialized to the .resx file instead of the InitializeComponent method.

For more information, see Extending Metadata Using Attributes.

Specifies whether a property can only be set at design time.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'bool'
  To be added

  Initializes a new instance of the class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignOnlyAttribute To be added

  Specifies the default value for the , which is . This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Determines if this attribute is the default.

  true if the attribute is the default value for this attribute class; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether a property can be set only at design time.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignOnlyAttribute

  The field is the default setting for this attribute.

  Specifies that a property can be set at design time or at run time. This static field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignOnlyAttribute To be added

  Specifies that a property can be set only at design time. This static field is read-only.